Mover ucs con entmake y funciones vl...

Ver el tema anterior Ver el tema siguiente Ir abajo

Mover ucs con entmake y funciones vl...

Mensaje por carlosmgilp el Dom Jun 26, 2016 6:00 pm

Hola muchachos como están.

Disculpen, alguien me puede ilustrar con un ejemplo para mover el ucs.

Normalmente y siempre lo hago así.

Código:
(command "_.ucs" punto "")

Pero con los cambios de autocad me sale el bendito aviso de sustituir los command por command-s y por mas de que uno sustituya eso no funciona, así que a medida de que va surgiendo voy sustituyendo eso.

Si me pueden dar un ejemplo con entmake y otro con las funciones vl... mucho mejor.

Mil gracias.







carlosmgilp

Mensajes : 65
Fecha de inscripción : 17/03/2016
Edad : 34
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por Admin el Miér Jun 29, 2016 3:19 am

Los UCS se debe nombrar, y luego formar parte de la colección de UCS del dwg .
Cuando se inicia un dwg , la cantidad de UCS en el dwg es 0.
luego cada UCS es un OBJETO con , nombre, origen y vector x e y , y el vector z , siguiewndo la regla de la mano derecha .

Admin
Admin

Mensajes : 124
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

como crear y mover un UCS

Mensaje por Admin el Miér Jun 29, 2016 4:00 am

Luego , primero hay que nombrarla y luego se la puede moover

Código:
(VL-LOAD-COM)
 
  (SETQ ACAD-OBJ (VLAX-GET-ACAD-OBJECT)) ;_ el programa ACAD
  (SETQ ADOC (VLA-GET-ACTIVEDOCUMENT ACAD-OBJ)) ;_ el DWG que esta abierto-

;; ADDUCS:
    ;; Create a UCS named "New_UCS" in current drawing
  
    ;; Define the UCS
    (setq origin (vlax-3d-point 4 5 3)
          xAxisPnt (vlax-3d-point 5 5 3)
          yAxisPnt (vlax-3d-point 4 6 4))
  
    ;; Add the UCS to the UserCoordinatesSystems collection
    (setq UCSs (vla-get-UserCoordinateSystems adoc))
    (setq ucsObj (vla-Add UCSs origin xAxisPnt yAxisPnt "New_UCS"))
    (alert (strcat (vla-get-Name ucsObj) " has been added."
                    "\nOrigin: " (rtos (vlax-safearray-get-element (vlax-variant-value (vla-get-Origin ucsObj)) 0) 2 2) ", "
                 (rtos (vlax-safearray-get-element (vlax-variant-value (vla-get-Origin ucsObj)) 1) 2 2) ", "
                 (rtos (vlax-safearray-get-element (vlax-variant-value (vla-get-Origin ucsObj)) 2) 2 2)
           )
    )  

Con la orden

Código:
(vla-put-origin ucsobj (vlax-3d-point 0 0 0))

Se cambia el origen

y con esta se verifica



Código:
(setq origen (VLAX-SAFEARRAY->LIST (VLAX-VARIANT-VALUE (vla-get-Origin ucsobj))))

Admin
Admin

Mensajes : 124
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por carlosmgilp el Miér Jun 29, 2016 4:36 am

Hola hermano como estas, si había visto algo en el archivo de AutoCAD.

Pero pensé que no era necesario nombrarla primero, si no solo moverla.

Gracias.

carlosmgilp

Mensajes : 65
Fecha de inscripción : 17/03/2016
Edad : 34
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por Admin el Miér Jun 29, 2016 5:58 pm

Si no está nombrada , no existe.
Y no es tan solo nombrarla , hay que agregarlaa la colección de acad

VLA-add sirve para varias cosas.

Ahora tengo el ACAD 2016 , y el ayuda del vlide viene con mucha más información .
Tal es así que se usarlo tan solo para usar el AYUDA y sigo programando en el vlide del 2008

Admin
Admin

Mensajes : 124
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por carlosmgilp el Miér Jun 29, 2016 7:53 pm

Si vi la ayuda hermano.

Muchas gracias, ya estoy montado en eso.
Falta con entmake, Jejejeje.

Saludos.

carlosmgilp

Mensajes : 65
Fecha de inscripción : 17/03/2016
Edad : 34
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por Admin el Jue Jun 30, 2016 12:49 am

Pra que hacerlo difícil , si fácil también se hace

Admin
Admin

Mensajes : 124
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por carlosmgilp el Jue Jun 30, 2016 12:54 am

Bueno lo comentaba sólo por ilustrar más los conocimientos, por los momentos lo resolví con las vl

carlosmgilp

Mensajes : 65
Fecha de inscripción : 17/03/2016
Edad : 34
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por Admin el Jue Jun 30, 2016 2:20 am

He llegado hasta aquí . No se que utilidad puede tener.

Código:
(if (not (tblsearch "ucs"  "nueva"))
(command "ucs" "sa" "nueva")
(command "ucs" "sa" "nueva" "Yes")
  )
  (setq nueva( tblsearch "ucs" "nueva"))
; resulta ((0 . "UCS") (2 . "nueva") (70 . 0) (10 0.0 0.0 0.0) (11 1.0 0.0 0.0) (12 0.0 1.0 0.0) (79 . 0) (146 . 0.0))

 (setq nueva (subst '( 10 20.0 0.0 0.0)  '( 10 0.0 0.0 0.0) nueva))
; resulta ((0 . "UCS") (2 . "nueva") (70 . 0) (10 20.0 0.0 0.0) (11 1.0 0.0 0.0) (12 0.0 1.0 0.0) (79 . 0) (146 . 0.0))


Admin
Admin

Mensajes : 124
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por carlosmgilp el Jue Jun 30, 2016 5:46 pm

Gracias hermano por la ayuda.
Aprendiendo de cabeza.
Un saludo.

carlosmgilp

Mensajes : 65
Fecha de inscripción : 17/03/2016
Edad : 34
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Mover ucs con entmake y funciones vl...

Mensaje por Contenido patrocinado Hoy a las 11:00 pm


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.